# 19 Dec 11
# 	R script that reads merged climate/conflict data & estimates regression models
#		w/ DMI variable
#
#	This file is in support of the publication:
#		OLoughlin, J., F. Witmer, A. Linke, A. Laing, A Gettelman, and J. Dudhia (2012).
#		Climate variability and conflict risk in East Africa 1990-2009.
#		Proceedings of the National Academy of Sciences.
#
#		PNAS Table S3, col. h and Figs S7h and S8h (DMI with 4 month lag)
###############################################

# set output directory
outDir <- "C://Users/XXX/"

# load model analsys functions
source(paste(outDir, "../SharedClimateModelFunctions.R", sep=""))

# load grid-month data & define regression variables for analysis
source(paste(outDir, "../LoadOneDegGridMonthData.R", sep=""))


glmVars <- c(paste(depVar, "SpLag_lag1", sep=""), precipVar, tempVar, controlVars, "DMI_lag3")
baseDMI3NB <- myGLM(depVar, glmVars, writeFile=TRUE, "BaseDMI3")	# 43 secs

glmVars <- c(paste(depVar, "SpLag_lag1", sep=""), precipVar, tempVar, controlVars, "DMI_lag4")
baseDMI4NB <- myGLM(depVar, glmVars, writeFile=TRUE, "BaseDMI4")	# 41 secs; most sig. DMI



gamVars <- c(paste(depVar, "SpLag_lag1", sep=""), paste("s(SPI6, bs=\"",baseSmooth,"\")", sep=""), paste("s(TI6, bs=\"",baseSmooth,"\")", sep=""), controlVars, "DMI_lag3")
thetaNB <- baseDMI3NB$theta		# grab theta from glm.nb(); thetaNB <- 0.1292
gamBaseDMI3CntryFE <- myGAM(depVar, gamVars, thetaNB, writeFile=TRUE, "BaseDMI3")	# 135 secs

gamVars <- c(paste(depVar, "SpLag_lag1", sep=""), paste("s(SPI6, bs=\"",baseSmooth,"\")", sep=""), paste("s(TI6, bs=\"",baseSmooth,"\")", sep=""), controlVars, "DMI_lag4")
thetaNB <- baseDMI4NB$theta		# grab theta from glm.nb(); thetaNB <- 0.1292
gamBaseDMI4CntryFE <- myGAM(depVar, gamVars, thetaNB, writeFile=TRUE, "BaseDMI4")	# 139 secs

